From 2e560a0bc89285814a75c06d67dd74b57b1a1d94 Mon Sep 17 00:00:00 2001
From: Bharath Rupireddy <bharath.rupireddyforpostgres@gmail.com>
Date: Wed, 5 Jan 2022 04:52:45 +0000
Subject: [PATCH v1] Emit checkpoint skipped message at LOG level

Emit "checkpoint skipped because system is idle" message at LOG
level if log_checkpoints is set.
---
 src/backend/access/transam/xlog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/access/transam/xlog.c b/src/backend/access/transam/xlog.c
index 87cd05c945..fcd4b7b801 100644
--- a/src/backend/access/transam/xlog.c
+++ b/src/backend/access/transam/xlog.c
@@ -9159,7 +9159,7 @@ CreateCheckPoint(int flags)
 		{
 			WALInsertLockRelease();
 			END_CRIT_SECTION();
-			ereport(DEBUG1,
+			ereport((log_checkpoints ? LOG : DEBUG1),
 					(errmsg_internal("checkpoint skipped because system is idle")));
 			return;
 		}
-- 
2.25.1

